Bug 1053620 - (CVE-2014-1446) CVE-2014-1446 Kernel: hamradio/yam: information leak in ioctl
CVE-2014-1446 Kernel: hamradio/yam: information leak in ioctl
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131217,reported=2...
: Security
Depends On: 1053647
Blocks: 1053165
  Show dependency treegraph
 
Reported: 2014-01-15 09:10 EST by Prasad J Pandit
Modified: 2015-07-31 03:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 05:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-01-15 09:10:27 EST
Linux kernel built with the YAM modem driver for AX.25(CONFIG_YAM) is
vulnerable to an information leakage flaw. It could occur while doing an
ioctl(SIOCYAMGCFG) call.

A user/program with CAP_NET_ADMIN privileges could use this flaw to leak (four)kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/8e3fbf870481eb53b2d3a322d1fc395ad8b367ed

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2014/01/15/3
Comment 1 Prasad J Pandit 2014-01-15 09:57:59 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2014-01-15 10:03:26 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1053647]
Comment 3 Fedora Update System 2014-01-19 22:04:28 EST
kernel-3.12.8-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-01-19 22:07:36 EST
kernel-3.12.8-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.